Qyra
ReferenceUntagged

GET/api/v1/projects/{projectUuid}/aiAgents/{agentUuid}/evaluations/{evalUuid}/runs/{runUuid}

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
agentUuidstringYes
evalUuidstringYes
runUuidstringYes

Responses

200 — Success

{
  "results": {
    "failedAssessments": 0,
    "passedAssessments": 0,
    "createdAt": "2024-01-01T00:00:00.000Z",
    "completedAt": "2024-01-01T00:00:00.000Z",
    "status": "pending",
    "evalUuid": "string",
    "runUuid": "string",
    "results": [
      {
        "expectedResponse": "string",
        "prompt": "string",
        "assessment": {
          "createdAt": "2024-01-01T00:00:00.000Z",
          "assessedAt": "2024-01-01T00:00:00.000Z",
          "llmJudgeModel": "string",
          "llmJudgeProvider": "string",
          "assessedByUserUuid": "string",
          "reason": "string",
          "passed": true,
          "assessmentType": "human",
          "runResultUuid": "string",
          "assessmentUuid": "string"
        },
        "createdAt": "2024-01-01T00:00:00.000Z",
        "completedAt": "2024-01-01T00:00:00.000Z",
        "errorMessage": "string",
        "status": "pending",
        "threadUuid": "string",
        "evalPromptUuid": "string",
        "resultUuid": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}